Bug 235763 - reproducible crash, when attempting to rebuild all fingerprints.
Summary: reproducible crash, when attempting to rebuild all fingerprints.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Similarity (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-29 22:24 UTC by Axel Krebs
Modified: 2019-12-27 13:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2010-04-29 22:24:17 UTC
Application that crashed: digikam
Version of the application: 1.0.0-beta5
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-20-generic x86_64
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
rebuilding previews works fine
rebuilding fingerprints crashes. When started rebuilding all fingerprints, digikam contuinues til it finds avi. Thatś what i found when watching the moment of crash. 

It looks like other formats may be affected, too. 

Some of the files do _not_ show a prewview-thumbnail but rather a red circle with a diagonal line similar to a traffic sign.. Maybe a sign for "unreadable"???

---
digiKam version 1.0.0-beta5
AVI: 39
GIF: 100
JPG: 35505
PNG: 85
RAW-CR2: 338
RAW-CRW: 10903
RAW-DNG: 2
RAW-NEF: 8039
TIFF: 46
Gesamtzahl der Einträge: 55057
: 
Alben: 692
Stichwörter: 20


 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0x7f6f3f15c750 (LWP 28285))]

Thread 18 (Thread 0x7f6f276a8910 (LWP 28286)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f6f38ab34fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2ad3000, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2ad3000, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006c8d73 in Digikam::ScanController::run (this=0x2ad3c10) at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:499
#4  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x2ad3c10) at thread/qthread_unix.cpp:188
#5  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f6f23dc6910 (LWP 28288)):
#0  0x00007f6f32494e53 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x00007f6f32495191 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f6f324956c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f6f38bc11fe in QEventDispatcherGlib::processEvents (this=0x2f30f00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007f6f38b97532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f6f38b97904 in QEventLoop::exec (this=0x7f6f23dc6050, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f6f38aaf6cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x2d38ff0) at thread/qthread_unix.cpp:188
#8  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 16 (Thread 0x7f6f22a19910 (LWP 28289)):
#0  0x00007f6f36db76c3 in __pthread_mutex_unlock_usercnt (mutex=0x2fd6b08) at pthread_mutex_unlock.c:38
#1  __pthread_mutex_unlock (mutex=0x2fd6b08) at pthread_mutex_unlock.c:289
#2  0x00007f6f32494dae in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x00007f6f32495191 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f6f324956c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f6f38bc11fe in QEventDispatcherGlib::processEvents (this=0x2ede3a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#6  0x00007f6f38b97532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f6f38b97904 in QEventLoop::exec (this=0x7f6f22a19050, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f6f38aaf6cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#9  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x2f30f20) at thread/qthread_unix.cpp:188
#10 0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f6f2210c910 (LWP 28290)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f6f38ab34fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2d02738, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2d02738, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f6f3c423f42 in Digikam::LoadSaveThread::run (this=0x2d02720) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#4  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x2d02720) at thread/qthread_unix.cpp:188
#5  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 14 (Thread 0x7f6f2190b910 (LWP 28291)):
#0  0x00007f6f3800d3c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6f3249537c in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f6f324956c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f6f38bc11fe in QEventDispatcherGlib::processEvents (this=0x2e3a930, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007f6f38b97532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f6f38b97904 in QEventLoop::exec (this=0x7f6f2190b050, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f6f38aaf6cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x2ee11f0) at thread/qthread_unix.cpp:188
#8  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 13 (Thread 0x7f6f2110a910 (LWP 28292)):
#0  0x00007f6f38028660 in pthread_mutex_unlock (mutex=0x2f0f1b8) at forward.c:184
#1  0x00007f6f324953ea in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f6f324956c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f6f38bc11fe in QEventDispatcherGlib::processEvents (this=0x2e46900, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007f6f38b97532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f6f38b97904 in QEventLoop::exec (this=0x7f6f2110a050, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f6f38aaf6cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x2ea39e0) at thread/qthread_unix.cpp:188
#8  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 12 (Thread 0x7f6f20909910 (LWP 28293)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f6f38ab34fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2e4a488, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2e4a488, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f6f3c423f42 in Digikam::LoadSaveThread::run (this=0x2e4a470) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#4  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x2e4a470) at thread/qthread_unix.cpp:188
#5  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f6f18458910 (LWP 28294)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007f6f1a19fc91 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 10 (Thread 0x7f6f15ef9910 (LWP 28295)):
#0  0x00007f6f38012412 in select () from /lib/libc.so.6
#1  0x00007f6f1a1c8725 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f6f1a1ad7e9 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f6f156f8910 (LWP 28296)):
#0  __libc_enable_asynccancel () at libc-cancellation.c:68
#1  0x00007f6f3800d3a8 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:85
#2  0x00007f6f3249537c in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f6f324956c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f6f38bc11fe in QEventDispatcherGlib::processEvents (this=0x37065c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#5  0x00007f6f38b97532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f6f38b97904 in QEventLoop::exec (this=0x7f6f156f8000, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f6f38aaf6cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f6f1a3fa56e in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x3706020) at thread/qthread_unix.cpp:188
#10 0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 8 (Thread 0x7f6f10ae5910 (LWP 28302)):
#0  0x00007f6f3800babb in read () from /lib/libc.so.6
#1  0x00007f6f1a7b5ad5 in ?? () from /usr/lib/libasound.so.2
#2  0x00007f6f1a7b0818 in snd_hctl_handle_events () from /usr/lib/libasound.so.2
#3  0x00007f6f1a7ba589 in snd_mixer_handle_events () from /usr/lib/libasound.so.2
#4  0x00007f6f14cf3d04 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#5  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f6f148e0910 (LWP 28303)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f6f1a1b0983 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f6f0bfff910 (LWP 28313)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f6f38ab34fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x7f6ef4091b48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7f6ef4091b48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f6f3c423f42 in Digikam::LoadSaveThread::run (this=0x7f6ef4091b30) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#4  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x7f6ef4091b30) at thread/qthread_unix.cpp:188
#5  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 5 (Thread 0x7f6f11676910 (LWP 28320)):
#0  0x00007f6f3800babb in read () from /lib/libc.so.6
#1  0x00007f6f37fab40f in _IO_file_xsgetn (fp=0x7f6efc55a560, data=0x7f6efc6a6778, n=4096) at fileops.c:1464
#2  0x00007f6f37fa1312 in _IO_fread (buf=0x7f6efc6a6778, size=1, count=4096, fp=0xffffffffffffffff) at iofread.c:44
#3  0x00007f6f37ae9094 in ?? () from /usr/lib/libjpeg.so.62
#4  0x00007f6f37aec9de in jpeg_fill_bit_buffer () from /usr/lib/libjpeg.so.62
#5  0x00007f6f37aecfaa in ?? () from /usr/lib/libjpeg.so.62
#6  0x00007f6f37aef803 in ?? () from /usr/lib/libjpeg.so.62
#7  0x00007f6f37aee98e in ?? () from /usr/lib/libjpeg.so.62
#8  0x00007f6f37ae8a46 in jpeg_read_scanlines () from /usr/lib/libjpeg.so.62
#9  0x00007f6f3c375fcf in Digikam::JPEGLoader::load (this=<value optimized out>, filePath=<value optimized out>, observer=<value optimized out>)
    at /build/buildd/digikam-1.0.0~beta5/libs/dimg/loaders/jpegloader.cpp:368
#10 0x00007f6f3c365d8c in Digikam::DImg::load (this=0x7f6f11675870, filePath=..., loadFlagsInt=13, observer=<value optimized out>, rawDecodingSettings=<value optimized out>)
    at /build/buildd/digikam-1.0.0~beta5/libs/dimg/dimg.cpp:377
#11 0x00007f6f3c367b68 in Digikam::DImg::load (this=<value optimized out>, filePath=<value optimized out>, loadMetadata=<value optimized out>, loadICCData=<value optimized out>, 
    loadUniqueHash=<value optimized out>, observer=0x7109de0, rawDecodingSettings=) at /build/buildd/digikam-1.0.0~beta5/libs/dimg/dimg.cpp:352
#12 0x00007f6f3c43fc1f in Digikam::ThumbnailCreator::loadWithDImg (this=0x538ebc0, path=<value optimized out>, profile=0x7f6f11675b60)
    at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/thumbnailcreator.cpp:378
#13 0x00007f6f3c44173d in Digikam::ThumbnailCreator::createThumbnail (this=0x538ebc0, info=<value optimized out>) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/thumbnailcreator.cpp:291
#14 0x00007f6f3c44216f in Digikam::ThumbnailCreator::load (this=0x538ebc0, path=...) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/thumbnailcreator.cpp:195
#15 0x00007f6f3c448c1b in Digikam::ThumbnailLoadingTask::execute (this=0x7109dd0) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/thumbnailtask.cpp:130
#16 0x00007f6f3c423f0c in Digikam::LoadSaveThread::run (this=0x538fb00) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:139
#17 0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x538fb00) at thread/qthread_unix.cpp:188
#18 0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#19 0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f6f03fff910 (LWP 28321)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f6f38ab34fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x5694678, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x5694678, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f6f3c423f42 in Digikam::LoadSaveThread::run (this=0x5694660) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#4  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x5694660) at thread/qthread_unix.cpp:188
#5  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 3 (Thread 0x7f6f0affd910 (LWP 28328)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f6f38ab34fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x6816738, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x6816738, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f6f3c423f42 in Digikam::LoadSaveThread::run (this=0x6816720) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#4  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x6816720) at thread/qthread_unix.cpp:188
#5  0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 2 (Thread 0x7f6f08b57910 (LWP 28344)):
[KCrash Handler]
#5  Digikam::DImgScale::dimgScaleAARGBA (isi=<value optimized out>, dest=0x0, dxx=<value optimized out>, dyy=<value optimized out>, dx=4, dy=<value optimized out>, dw=128, dh=12, 
    dow=<value optimized out>, sow=<value optimized out>) at /build/buildd/digikam-1.0.0~beta5/libs/dimg/dimgscale.cpp:817
#6  0x00007f6f3c36e272 in Digikam::DImg::smoothScale (this=0x77757f8, dw=<value optimized out>, dh=<value optimized out>, aspectRatioMode=<value optimized out>)
    at /build/buildd/digikam-1.0.0~beta5/libs/dimg/dimgscale.cpp:152
#7  0x00007f6f3c43bee9 in Digikam::PreviewLoadingTask::execute (this=0x77756b0) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/previewtask.cpp:274
#8  0x00007f6f3c423f0c in Digikam::LoadSaveThread::run (this=0x5c457b0) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:139
#9  0x00007f6f38ab2445 in QThreadPrivate::start (arg=0x5c457b0) at thread/qthread_unix.cpp:188
#10 0x00007f6f36db3a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f6f3801980d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f6f3f15c750 (LWP 28285)):
#0  0x00007f6f3800d3c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6f315ce29a in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f6f315ce7d7 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007f6f315cea85 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007f6f373bed4a in _XSend () from /usr/lib/libX11.so.6
#5  0x00007f6f373bee89 in _XReply () from /usr/lib/libX11.so.6
#6  0x00007f6f3739b7f5 in XGetImage () from /usr/lib/libX11.so.6
#7  0x00007f6f397fd9ca in QX11PixmapData::transformed (this=0x5ccae30, transform=..., mode=<value optimized out>) at image/qpixmap_x11.cpp:1788
#8  0x00007f6f397ea410 in QPixmap::transformed (this=0x7fff6871da70, transform=..., mode=Qt::FastTransformation) at image/qpixmap.cpp:1496
#9  0x00007f6f397eaee8 in QPixmap::scaled (this=0x7fff6871da70, s=<value optimized out>, aspectMode=<value optimized out>, mode=Qt::FastTransformation) at image/qpixmap.cpp:1410
#10 0x000000000058c6bd in QPixmap::scaled (this=<value optimized out>, desc=..., pix=<value optimized out>) at /usr/include/qt4/QtGui/qpixmap.h:120
#11 Digikam::FindDuplicatesView::slotThumbnailLoaded (this=<value optimized out>, desc=..., pix=<value optimized out>)
    at /build/buildd/digikam-1.0.0~beta5/utilities/fuzzysearch/findduplicatesview.cpp:365
#12 0x000000000058e9f4 in Digikam::FindDuplicatesView::qt_metacall (this=0x53a9510, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6871d9e0)
    at /build/buildd/digikam-1.0.0~beta5/obj-x86_64-linux-gnu/digikam/findduplicatesview.moc:115
#13 0x00007f6f38badddc in QMetaObject::activate (sender=0x538fb00, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7f6f3800d3c3) at kernel/qobject.cpp:3113
#14 0x00007f6f3c442e37 in Digikam::ThumbnailLoadThread::signalThumbnailLoaded (this=0x7fff6871d0a0, _t1=<value optimized out>, _t2=<value optimized out>)
    at /build/buildd/digikam-1.0.0~beta5/obj-x86_64-linux-gnu/digikam/thumbnailloadthread.moc:100
#15 0x00007f6f3c444a37 in Digikam::ThumbnailLoadThread::slotThumbnailLoaded (this=0x538fb00, description=..., thumb=<value optimized out>)
    at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/thumbnailloadthread.cpp:500
#16 0x00007f6f3c444dfe in Digikam::ThumbnailLoadThread::slotThumbnailsAvailable (this=0x538fb00) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/thumbnailloadthread.cpp:465
#17 0x00007f6f3c44501c in Digikam::ThumbnailLoadThread::qt_metacall (this=0x538fb00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7f6efc0614b0)
    at /build/buildd/digikam-1.0.0~beta5/obj-x86_64-linux-gnu/digikam/thumbnailloadthread.moc:84
#18 0x00007f6f38ba80f9 in QObject::event (this=0x538fb00, e=0x7f6efc11a480) at kernel/qobject.cpp:1111
#19 0x00007f6f39729efc in QApplicationPrivate::notify_helper (this=0x2892de0, receiver=0x538fb00, e=0x7f6efc11a480) at kernel/qapplication.cpp:4056
#20 0x00007f6f397311ce in QApplication::notify (this=0x7fff6871e520, receiver=0x538fb00, e=0x7f6efc11a480) at kernel/qapplication.cpp:4021
#21 0x00007f6f3ab1aab6 in KApplication::notify (this=0x7fff6871e520, receiver=0x538fb00, event=0x7f6efc11a480) at ../../kdeui/kernel/kapplication.cpp:302
#22 0x00007f6f38b98c2c in QCoreApplication::notifyInternal (this=0x7fff6871e520, receiver=0x538fb00, event=0x7f6efc11a480) at kernel/qcoreapplication.cpp:610
#23 0x00007f6f38b9980a in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x2860960) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#24 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x2860960) at kernel/qcoreapplication.cpp:1247
#25 0x00007f6f38bc1533 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#26 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:210
#27 0x00007f6f32491bce in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#28 0x00007f6f32495598 in ?? () from /lib/libglib-2.0.so.0
#29 0x00007f6f324956c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#30 0x00007f6f38bc11a6 in QEventDispatcherGlib::processEvents (this=0x2860590, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#31 0x00007f6f397be4be in QGuiEventDispatcherGlib::processEvents (this=0x7fff6871d0a0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#32 0x00007f6f38b97532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#33 0x00007f6f38b97904 in QEventLoop::exec (this=0x7fff6871e450, flags=) at kernel/qeventloop.cpp:201
#34 0x00007f6f38b99ab9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#35 0x000000000075fda2 in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.0.0~beta5/digikam/main.cpp:186
The current source language is "auto; currently c".

This bug may be a duplicate of or related to bug 218256

Reported using DrKonqi
Comment 1 caulier.gilles 2010-04-30 13:07:44 UTC
This file is invalid. Use last digiKam 1.2.0 instead an old beta release as 1.0.0-beta5

Gilles Caulier
Comment 2 Axel Krebs 2010-04-30 15:09:40 UTC
thanks for the message!

you are right, it would be preferable to install fresh software v 1.2+;
unfortunately, ubuntu 9.10 does offer digikam only 1.0.0.-beta5.

ubuntu is just 2 days "old", it's too risky to install right now.

Axel Krebs

Gilles Caulier schrieb:
> https://bugs.kde.org/show_bug.cgi?id=235763
> 
> 
> Gilles Caulier <caulier.gilles@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |RESOLVED
>                  CC|                            |caulier.gilles@gmail.com
>          Resolution|                            |INVALID
> 
> 
> 
> 
> --- Comment #1 from Gilles Caulier <caulier gilles gmail com>  2010-04-30 13:07:44 ---
> This file is invalid. Use last digiKam 1.2.0 instead an old beta release as
> 1.0.0-beta5
> 
> Gilles Caulier
>
Comment 3 caulier.gilles 2019-12-27 13:21:45 UTC
Not reproducible with 7.0.0-beta1